<?php
/**
 * View the categories
 *
 * $Id: team_categories.php 1365 2007-05-25 14:14:01Z kink $
 */

require('init.php');
$title = 'Categories';

require('../header.php');

echo "<h1>Categories</h1>\n\n";

$res = $DB->q('SELECT team_category.*, COUNT(login) AS numteams
               FROM team_category LEFT JOIN team USING (categoryid)
               GROUP BY team.categoryid ORDER BY sortorder, categoryid');

if( $res->count() == 0 ) {
	echo "<p><em>No categories defined</em></p>\n\n";
} else {
	echo "<table class=\"list\">\n" .
		"<tr><th>ID</th><th>sort</th><th>name</th><th>#teams</th></tr>\n";
	while($row = $res->next()) {
		echo '<tr' . (isset($row['color']) ? ' style="background: ' .
		              $row['color'] . ';"' : '') .
			'><td><a href="team_category.php?id=' . (int)$row['categoryid'] .
			'">' . (int)$row['categoryid'] .
			'</td><td>' . (int)$row['sortorder'] .
			'</td><td>' . htmlentities($row['name']) .
			'</td><td align="right">' . (int)$row['numteams'] . "</td>";
		if ( IS_ADMIN ) {
			echo "<td>" .
				editLink('team_category', $row['categoryid']) . " " .
				delLink('team_category', 'categoryid', $row['categoryid']) . "</td>";
		}
		echo "</tr>\n";
	}
	echo "</table>\n\n";
}

if ( IS_ADMIN ) {
	echo "<p>" . addLink('team_category') . "</p>\n\n";
}

require('../footer.php');
